<bugID>1245505<Summary>Last sync date not localized in synced tabs button tooltip</Summary><Description>https://hg.mozilla.org/releases/mozilla-beta/file/default/services/sync/locales/en-US/sync.properties#l9

OS X 10.11, Firefox 45.0b2 pl
Currently: "Ostatnia synchronizacja: Wed 15:55"
Should be: "Ostatnia synchronizacja: &#347;roda, 15:55" (or something similar)

Apart from not being localized this could also mislead and confuse users even more when there are short weekday names collisions between installed locale and English.</Description></bugID>